
[Rainmeter]

;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

[MeasureTrack]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackName

[MeasureArtist]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackArtist

[MeasureAlbum]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackAlbum

[MeasureTime]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPosition

[MeasureTMinute]
Measure=Calc
Formula=(MeasureTime - (MeasureTime % 60)) /60

[MeasureTSecond]
Measure=Calc
Formula=MeasureTime % 60

[MeasureTZero]
Measure=Calc
Formula=(MeasureTime % 60) < 10 ? 0 : 1
Substitute="1":""

[MeasureProgress]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPositionPercent
MaxValue=100

[MeasurePrev]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=PreviousTrack

[MeasurePause]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=PlayPause

[MeasureNext]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=NextTrack

[MeasureArt]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackArtwork

[StyleText]
X=90
Y=16r
H=15
W=100
ClipString=1
FontFace=Libeled Lady
FontSize=10
StringAlign=LEFT
StringStyle=NORMAL
AntiAlias=1

[StyleButton]
X=16r
Y=81
FontColor=255,255,255
StringStyle=Bold
FontSize=10
StringAlign=LEFT
FontFace=Webdings
AntiAlias=1
Hidden=0

[IconBack]
Meter=IMAGE
ImageName=BG.png
X=0
Y=0

[Note]
Meter=IMAGE
ImageName=Note.png
X=28
Y=19
H=55
W=35


[Icon]
Meter=IMAGE
MeasureName=MeasureArt
X=19
Y=16
H=60
W=60

[IconBack2]
Meter=IMAGE
ImageName=Icon.png
X=22
Y=122

;-------------------------
; TEXT

[Track]
Meter=STRING
MeterStyle=StyleText
MeasureName=MeasureTrack
Y=15
FontColor=255,255,255,255

[Artist]
Meter=STRING
MeterStyle=StyleText
MeasureName=MeasureArtist
FontColor=255,255,255,150
FontSize=10

[Album]
Meter=STRING
MeterStyle=StyleText
MeasureName=MeasureAlbum
FontColor=255,255,255,150
FontSize=10

;-------------------------
; BUTTONS

[Prev]
Meter=STRING
MeterStyle=StyleButton
X=23
Text="7"
LeftMouseDownAction=!Execute [!RainmeterShowMeter PrevPush][!RainmeterHideMeter Prev][!RainmeterRedraw]

[PrevPush]
Meter=STRING
MeterStyle=StyleButton
X=r
FontColor=255,255,255
Text="7"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasurePrev"][!RainmeterHideMeter PrevPush][!RainmeterShowMeter Prev][!RainmeterRedraw]

[Play]
Meter=STRING
MeterStyle=StyleButton
Text=";"
LeftMouseDownAction=!Execute [!RainmeterShowMeter PlayPush][!RainmeterHideMeter Play][!RainmeterRedraw]

[PlayPush]
Meter=STRING
MeterStyle=StyleButton
X=r
FontColor=255,255,255
Text=";"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasurePause"][!RainmeterHideMeter PlayPush][!RainmeterShowMeter Play][!RainmeterRedraw]

[Next]
Meter=STRING
MeterStyle=StyleButton
Text="8"
LeftMouseDownAction=!Execute [!RainmeterShowMeter NextPush][!RainmeterHideMeter Next][!RainmeterRedraw]

[NextPush]
Meter=STRING
MeterStyle=StyleButton
X=r
FontColor=255,255,255
Text="8"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasureNext"][!RainmeterHideMeter NextPush][!RainmeterShowMeter Next][!RainmeterRedraw]

[Time]
Meter=STRING
MeasureName=MeasureTMinute
MeasureName2=MeasureTZero
MeasureName3=MeasureTSecond
X=38r
Y=68
StringAlign=LEFT
StringStyle=BOLD
FontColor=255,255,255,255
FontFace=Libeled Lady
FontSize=8
AntiAlias=1
Text="%1.%2%3"
Hidden=0

;-------------------------
; BORDER 2

[ProgressBackground]
Meter=IMAGE
SolidColor=255,255,255,80
X=88
Y=88
W=80
H=1
 
[Progress]
MeasureName=MeasureProgress
Meter=BAR
X=r
Y=r
W=80
H=1
BarColor=255,255,255,250
BarOrientation=HORIZONTAL
Flip=0

************

